var URL = 'http://www.zol.ch';
var API_URL = URL + '/mobile/jsonLight.html';
var EXCEPTION_URL = URL + '/ajax/tags.html';
var WEATHER_URL = URL + '/ajax/tags.html';
var APP_BASE = '#/';
var VIDEO_BASE = 'http://podcast.newsnetz.tv/podcast/get_file.php?file=';
var VIDEO_DEFAULT_TEASER = URL + '/route/videotv/data/default_navigation.jpg';

var DEFAULT_FONT_SIZE = 100;
if(parseInt(window.innerHeight) < 321 && parseInt(window.innerWidth) < 280) {
	DEFAULT_FONT_SIZE = 85;
}
var exceptionCount = 0;
var COUNTER = 0;
var TEST = new Hash(); 

var configSmartphone = {
		'viewBase': 'smartphone',
		'layoutBase': 'smartphone',
		'routes': [
			{
				'index': {
					'route': '',
					'module': 'front',
					'menu': 'toolbar',
					'toolbar': 'standard'
				}
			},
			{
				'index': {
					'route': 'index',
					'module': 'front',
					'menu': 'toolbar',
					'toolbar': 'standard'
				}
			},
			{
				'story': {
					'route': 'story/:id',
					'module': 'story',
					'layout': 'Story',
					'tabBar': 'story',
					'menu': 'custom',
					'toolbar': 'standard',
					'fontSize': true
				}
			},
			{
				'comments': {
					'route': 'comments/:id',
					'module': 'comments',
					'menu': 'custom',
					'tabBar': 'story',
					'toolbar': 'standard',
					'fontSize': true
				}
			},
			{
				'weather': {
					'route': 'weather',
					'module': 'weather',
					'menu': 'toolbar',
					'toolbar': 'standard'
				}
			},
			{
				'menu': {
					'route': 'menu',
					'module': 'menu',
					'toolbar': 'standard',
					'layout': 'Menu'
				}
			},
			{
				'category': {
					'route': 'category/:id',
					'module': 'category',
					'menu': 'toolbar',
					'toolbar': 'standard'
				}
			},
			{
				'ticker': {
					'route': 'ticker',
					'module': 'ticker',
					'menu': 'toolbar',
					'toolbar': 'standard'
				}
			},
			
			{
				'download': {
					'route': 'download',
					'module': 'download',
					'menu': 'toolbar',
					'toolbar': 'standard',
					'noCache': true
				}
			},
			
			{
				'download': {
					'route': 'download/store',
					'module': 'download',
					'controller': 'index',
					'action': 'store',
					'menu': 'toolbar',
					'toolbar': 'standard',
					'noCache': true
				}
			},
			{
				'diashows': {
					'route': 'diashows',
					'module': 'diashows',
					'menu': 'toolbar',
					'toolbar': 'standard'
				}
			},
			{
				'videos': {
					'route': 'videos',
					'module': 'videos',
					'menu': 'toolbar',
					'toolbar': 'standard'
				}
			},
			{
				'diashow': {
					'route': 'diashow/:id',
					'module': 'diashow',
					'layout': 'Diashow',
					'noCache': true
				}
			},
			{
				'video': {
					'route': 'video/:id',
					'module': 'video',
					'layout': 'Diashow',
					'noCache': true,
					'menu': 'toolbar',
					'toolbar': 'standard'
				}
			},
			{
				'bookmarks': {
					'route': 'bookmarks',
					'module': 'bookmark',
					'menu': 'toolbar',
					'toolbar': 'standard',
					'noCache': true
				}
			},
			{
				'search': {
					'route': 'search',
					'module': 'search',
					'menu': 'toolbar',
					'toolbar': 'standard',
					'noCache': true
				}
			},
			{
				'404': {
					'route': '404',
					'module': 'error',
					'controller': 'index'
				}
			},
			{
				'error': {
					'route': 'error',
					'module': 'error',
					'controller': 'index',
					'menu': 'toolbar',
					'toolbar': 'standard'
				}
			}
		]
	};

Newsnetz_Registry.instance().set('config', {
	logo: {
		src: 'http://www.zol.ch/route/mobileapp/ressources/ZOL/logo_640.png'
	},
	categories: [
		{id: 0, title: 'Front', url: '', 'menu': true},
		{id: 4518, title: 'Bezirk Hinwil', url: 'category/4518', 'menu': true},
		{id: 4519, title: 'Bezirk Uster', url: 'category/4519', 'menu': true},
		{id: 4520, title: 'Bezirk Pfäffikon', url: 'category/4520', 'menu': true},
		{id: 4505, title: 'Blaulicht', url: 'category/4505', 'menu': true},
		{id: 8, title: 'Sport', url: 'category/8', 'menu': true},
		{id: 4524, title: 'Überregional', url: 'category/4524', 'menu': true},
		{id: 4516, title: 'Life', url: 'category/4516', 'menu': true},
		{id: 99999999, title: 'Suche', url: 'search', noRequest: true, 'cssClass': 'options', 'menu': false, 'option': true},
		{id: 999999999, title: 'Menu', url: 'menu', noRequest: true, 'menu': false},
		{id: 9999999999, title: 'Wetter', url: 'weather', noRequest: true, 'menu': false}
	],
	domain: URL,
	googlecode: "UA-431029-15",
	boxes: {
		44 : {
			'title': 'Etwas gesehen, etwas geschehen?',
			'text': '<img src="http://files.newsnetz.ch/images/img_mobileReporter_context.jpg" />Haben Sie etwas Aussergewöhnliches gesehen, fotografiert oder gefilmt? Ist Ihnen etwas bekannt, das die Leserinnen und Leser wissen sollten? Senden Sie uns Ihr Bild, Ihr Video, Ihre Information per MMS an <strong>4488</strong> (CHF 0.70 pro MMS). Die Publikation eines exklusiven Leserreporter-Inhalts mit hohem Nachrichtenwert honoriert die Redaktion mit <strong>50 Franken</strong>.'
		}
	},
	sasId: '36707',
	sasPageNameShort: 'zol_',
	webApp: false,
	statistics: '<img src="http://newsnetz.wemfbox.ch/cgi-bin/ivw/CP/apps/NewsZOL/Android/phone?" width="1" height="1" alt="" /><img src="http://zol.wemfbox.ch/cgi-bin/ivw/CP/apps/NewsZOL/Android/phone?" width="1" height="1" alt="" />'
});